Bug 443273 - conmux can't locate Conmux.pm
conmux can't locate Conmux.pm
Product: Fedora
Classification: Fedora
Component: conmux (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Peck
Fedora Extras Quality Assurance
Depends On:
Blocks: F9_5.10_REBUILD
  Show dependency treegraph
Reported: 2008-04-19 21:52 EDT by Michal Schmidt
Modified: 2008-07-07 06:31 EDT (History)
0 users

See Also:
Fixed In Version: 0.0-7.493svn.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-13 11:20:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
add the missing Requires, s/GPL/GPLv2/ (1.44 KB, patch)
2008-04-19 21:52 EDT, Michal Schmidt
no flags Details | Diff

  None (edit)
Description Michal Schmidt 2008-04-19 21:52:52 EDT
Description of problem:

conmux can't find its own Perl module. This makes it completely unusable.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run conmux
Actual results:
$ conmux
Can't locate Conmux.pm in @INC (@INC contains:
/usr/lib64/perl5/5.10.0/x86_64-linux-thread-multi /usr/lib/perl5/5.10.0
/usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl .) at
/usr/bin/conmux line 33.
BEGIN failed--compilation aborted at /usr/bin/conmux line 33.

Expected results:
$ conmux
Usage: conmux <service>

Additional info:
conmux must be broken since Rawhide moved to Perl 5.10. The bug is that
conmux-client is missing a mandatory Requires on a perl version as specified in

The attached patch fixes it. It also changes the License field from "GPL" to the
correct "GPLv2" (rpmlint complained about the former).
Comment 1 Michal Schmidt 2008-04-19 21:52:52 EDT
Created attachment 303035 [details]
add the missing Requires, s/GPL/GPLv2/
Comment 2 Fedora Update System 2008-05-07 09:07:02 EDT
conmux-0.0-7.493svn.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-13 11:20:38 EDT
conmux-0.0-7.493svn.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.